# Uncomment the next line to define a global platform for your project
# platform :ios, '9.0'

target 'Print_Photo_App' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_frameworks!

  # Pods for Print_Photo_App
pod 'AFNetworking'
  pod 'Toast-Swift'
  pod 'ChromaColorPicker', '1.7.2'
  pod 'SDWebImage', '~> 4.4.6'
  pod 'MZFormSheetPresentationController'
  pod 'IQKeyboardManagerSwift'
  pod 'NVActivityIndicatorView'
  pod 'NVActivityIndicatorView/Extended'
#  pod 'MBProgressHUD'
#  pod 'UIActivityIndicator-for-SDWebImage'
#  pod 'SDWebImage-ProgressView'
  pod 'Firebase/Auth'
  pod 'Firebase/Core'
  pod 'Firebase/Messaging'
  pod 'Firebase/Analytics'
  pod 'Firebase/Performance'
  pod 'Firebase/Crashlytics'
  pod 'KWVerificationCodeView'
  pod 'SVPinView' # Modified
  pod 'DropDown'
  pod 'OneSignal'
  #pod 'Fabric'
  #pod 'Crashlytics'
  pod 'razorpay-pod'
  pod 'Alamofire'
  pod 'FacebookSDK'
  pod 'FacebookCore'
  pod 'Google-Mobile-Ads-SDK'
#  pod 'GoogleMobileAdsMediationFacebook'
#  pod 'SDWebImageFLPlugin'
  pod 'TYCyclePagerView'
  pod 'RangeSeekSlider'
  pod 'SKPhotoBrowser' # Modified
  pod 'SVGKit'
  pod 'PocketSVG'
  pod 'TPPDF', '~> 1.3.1'
  pod 'BSImagePicker', '2.10.0' # Modified
  pod 'AssetsPickerViewController' # Modified
pod 'SkyFloatingLabelTextField'

end

target 'PrintPhoto_OneSignalNotification' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_frameworks!

  # Pods for PrintPhoto_OneSignalNotification

end

#post_install do |installer|
 # installer.pods_project.build_configurations.each do |config|
   # config.build_settings["EXCLUDED_ARCHS[sdk=iphonesimulator*]"] = "arm64"
 # end
#end

post_install do |installer|
    installer.generated_projects.each do |project|
          project.targets.each do |target|
              target.build_configurations.each do |config|
                config.build_settings["EXCLUDED_ARCHS[sdk=iphonesimulator*]"] = "arm64"
                  config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '11.0'
               end
          end
   end
end
